# Power system
- The function `powerSys::calc_power_in` is provided to calculate power generation at a given orbital position for a given date and time. The code is a translation of the functions provided in the [Satellite Solar Power Budget](https://gitlab.com/librespacefoundation/satellite-solar-power-budget) tool.
- In the vectors that define solar panel areas and efficiencies, the 6 elements correspond to the following satellite sides: [+X, -X, +Y, -Y, +Z, -Z].